v5.0
get
/ec-ors-svc/rest/v5.0/studies/{studyId}/{mode}/randlists/{rndlistid}/randnumbers
Versioned to return sequenceNumber along with the randomization number. Rights: OrsRandListGet and OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
rndlistid(required): string
ID of the randomization list.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
blockedBy: string(uuid)
ID of the entity which has blocked the randomization number.
-
cohortId: string
ID of the cohort.
-
groupId: string
ID of the group in a stratum.
-
limit: string
Maximum number of records to display per page.Default Value:
100 -
offset: string
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Default Value:
0 -
searchString(required): string
Search string.
-
status: number
Status of the randomization number.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : Random Number Response
Type:
objectTitle:
Random Number ResponseContains random number response.
Show Source
-
count: integer
(int64)
Total count of result
-
hasMore: boolean
Attribute describes if result set has more recordsExample:
true -
limit: integer
(int64)
Maximum number of records to display per page.
-
links: array
links
-
offset: integer
(int64)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
400 -
randNumbers: array
randNumbers
-
totalResults: integer
(int64)
Total number of entities in response
Nested Schema : randNumbers
Type:
Show Source
array-
Array of:
object RandNumbersTO v4.0
Title:
RandNumbersTO v4.0Contains random number details.
Nested Schema : RelLink
Type:
objectObject contains link detail.
Show Source
-
href: string
Realtive URL
-
rel: string
link
Nested Schema : RandNumbersTO v4.0
Type:
objectTitle:
RandNumbersTO v4.0Contains random number details.
Show Source
-
blockingParamId: string
Title:
Blocking Parameter IDUnique ID of blocking parameter.Example:B1B8327AFAA6412287106192AB5984EF -
blockingParamName: string
Title:
Blocking Parameter NameBlocking parameter name.Example:site -
blockingParamValue: string
Title:
Blocking Parameter ValueBlocking parameter value.Example:Site1001 -
blockNumber: number
(double)
Title:
Block NumberBlock number.Example:10 -
cohortId: string
(uuid)
Cohort ID.
-
cohortName: string
Cohort name.Example:
Demo Cohort 1001 -
externalTreatmentId: string
Title:
External Treatment IDExternal treatment ID.Example:Treatment arm 1001 -
minimization: object
MinimizationTO v1.0
Title:
MinimizationTO v1.0Contains minimization details. -
randNumber: number
(double)
Title:
Randomization NumberRandomization number.Example:10 -
randNumberId: string
(uuid)
Title:
Randomization Number IDUnique ID for randomization number. -
randStatusId: integer
(int32)
Allowed Values:
[ 1, 2, 3, 4, 5 ]Unique ID corresponding to each Randomization status value (1 for Not Approved, 2 for Available, 3 for Not Released, 4 for Assigned, 5 for Randomized in Error).Example:3 -
randStatusKey: string
Title:
Randomization Status KeyAllowed Values:[ "Unapproved", "Available", "Inactive", "Assigned", "Randomized in error" ]Randomization status key.Example:Assigned, Available -
sequenceNumber: number
Title:
Sequence NumberSequence number within the randomization list.Example:1001 -
statumId: string
(uuid)
Title:
Stratum IDUnique Id for stratum. -
stratumName: string
Title:
Stratum NameStratum name.Example:Male, Female -
subjectId: string
(uuid)
Unique subject identifier (UUID, 32-character uppercase hexadecimal string) representing the patient/participant enrolled in the study.
-
subjectNumber: string
Title:
Subject NumberSubject number.Example:S1001 -
treatmentId: string
(uuid)
Title:
Treatment IDUnique ID for treatment arm. -
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
Nested Schema : MinimizationTO v1.0
Type:
objectTitle:
MinimizationTO v1.0Contains minimization details.
Show Source
-
groups: array
groups
-
probabilityFactor: string
Title:
Probability FactorProbability factor for a given random number.Example:0.23
Nested Schema : groups
Type:
Show Source
array-
Array of:
object MinimizationGroupTO v1.0
Title:
MinimizationGroupTO v1.0Contains minimization group details.
Nested Schema : MinimizationGroupTO v1.0
Type:
objectTitle:
MinimizationGroupTO v1.0Contains minimization group details.
Show Source
-
groupId: string
(UUID)
Title:
Group IDUnique ID for group.Example:B1B8327AFAA6412287106192AB5984EF -
groupName: string
Title:
Group NameName of the group.Example:Smoker, Non-smoker -
stratumId: string
(UUID)
Title:
Stratum IDUnique ID for stratum.Example:B1B8327AFAA6412287106192AB5984EF
404 Response
Appears for invalid study ID, invalid study version, or if a randomization list isn't found.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object